#ifndef _ASTERISK_MULTI_MEDIA_H
#define _ASTERISK_MULTI_MEDIA_H

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


#define LENTH_UNSIGNED_INT (sizeof(unsigned int))
#define AST_RSYNC_RECORD_CMD_NO_LINK "/app/asterisk/bin/rsync -rvptgoD --progress --remove-source-files --password-file=/data/rsyncd/server.pass"

#define AST_MULTI_AVS_RSYNC_CMD "/app/asterisk/bin/rsync -rvptgoD --progress --password-file=/data/rsyncd/server.pass"
#define AST_MULTI_AVS_RSYNC_DEL_CMD "/app/asterisk/bin/rsync -rvptgoD --progress --password-file=/data/rsyncd/server.pass --delete"
#define AST_AVS_SYNC_RECORD_MODULE            "multi_media_sync"

typedef enum 
{
    AST_MULTI_AVS_FAX_FILE_ENUM,
    AST_MULTI_AVS_VOICE_MAIL_FILE_ENUM,
    AST_MULTI_AVS_VOICE_PROMPT_FILE_ENUM,
    AST_MULTI_AVS_VOICE_MOH_FILE_ENUM,
    AST_MULTI_AVS_DUMP_FILE_ENUM,
    AST_MULTI_AVS_SLAVE_RECORDING_FILE_ENUM,
    AST_MULTI_AVS_FILE_BACKUP_MAX
}AST_MULTI_AVS_BACKUP_FILE_ENUM;

#define AST_MULTI_AVS_FAX_LOCAL_FILE                   "multi_avs_backup_fax"
#define AST_MULTI_AVS_VOICE_MAIL_LOCAL_FILE            "multi_avs_backup_voicemail"
#define AST_MULTI_AVS_VOICE_PROMPT_LOCAL_FILE          "multi_avs_backup_voiceprompt"
#define AST_MULTI_AVS_VOICE_MOH_LOCAL_FILE             "multi_avs_backup_voicemoh"
#define AST_MULTI_AVS_DUMP_LOCAL_FILE                  "multi_media_sync/data/avsdump/"
#define AST_MULTI_AVS_FAX_TMP_FILE                     "multi_avs_fax_tmp"
#define AST_MULTI_AVS_SLAVE_RECORDING_FILE             "multi_avs_slave_recording"




#define AST_MULTI_AVS_FAX_FILE_PATH                        "/data/var/spool/asterisk/fax/"
#define AST_MULTI_AVS_VOICE_MAIL_FILE_PATH                 "/data/var/spool/asterisk/voicemail/" 
#define AST_MULTI_AVS_VOICE_PROMPT_FILE_PATH               "/data/var/lib/asterisk/sounds/"
#define AST_MULTI_AVS_VOICE_MOH_FILE_PATH                  "/data/var/lib/asterisk/moh/"
#define AST_MULTI_AVS_DUMP_FILE_PATH                       "/data/avsdump/"
#define AST_MULTI_AVS_SLAVE_RECORDING_FILE_PATH            "/data/slave_media_recording/"


#define AST_SAFE_FREE(ptr) if (ptr) {\
    ast_free(ptr);\
    ptr = NULL; }

typedef enum
{
    MEDIA_ROLE_SLAVE,
    MEDIA_ROLE_MASTER,
    MEDIA_ROLE_UNKNOWN,
}MEDIA_ROLE_E;

typedef enum
{
    MULTI_MODE,//include route and dual mode
    SWITCH_MODE,
    UNKNOWN_MODE,
}NETWORK_MODE_E;

typedef enum
{
    SLAVE_OFFLINE = 0,
    SLAVE_ONLINE = 1,
    SLAVE_UNKNOWN
}SLAVE_STATUS_E;

void ast_media_role_init(void);
int ast_multi_media_init(void);
int ast_sync_record_from_slave(const           char* cmd_prefix,const char* avs_address,char *src_path, char *dst_path,char *module);
MEDIA_ROLE_E ast_media_role_get(void);
int ast_multi_avs_rsync_file(int i,int opt);
void ast_media_slave_list_init(void);
int ast_multi_avs_sync_record(char *file_path);
int ast_sync_delete_file(const char* cmd_prefix,const char* avs_address,char *file_name, char *dst_path,char *module);
int ast_sync_file_to_slave(const           char* cmd_prefix,const char* avs_address,char *src_path, char *dst_path,char *module);
int ast_sync_record_from_slave_and_move(const           char* cmd_prefix,const char* avs_address,char *src_path, char *dst_path,char *module);
void ast_increase_media_records(void);
void ast_decrease_media_records(int decrease);
void ast_create_record_file(const char* file_name);
NETWORK_MODE_E ast_network_mode_get(void);
void ast_network_mode_init(void);


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif /* _ASTERISK_BRIDGING_ROLES_H */


