#include "gd.h"
#include <gdfontl.h>
#include <stdio.h>
#include <string.h>

void imageStringGif(char* string, const char* filename)
{
    if (string == NULL || filename == NULL) {
        return;
    }

    /* Declare the image */
    gdImagePtr im;
    /* Declare output files */
    FILE *gifout = NULL;
    /* Declare color indexes */
    int background = 0;
    int text = 0;
    /* Create an image of 138 * 33 */
    im = gdImageCreateTrueColor(138, 33);
    /* Create a white background color and fill it */
    background = gdImageColorAllocate(im, 0xFF, 0xFF, 0xFF);
    gdImageFill(im, 0, 0, background);
    /* Create a black foreground layer for the font color */
    text = gdImageColorAllocate(im, 0, 0, 0);

    gdImageString(im, gdFontGetLarge(),
        im->sx / 2 - (strlen(string) * gdFontGetLarge()->w / 2),
        im->sy / 2 - gdFontGetLarge()->h / 2,
        string, text);

    gifout = fopen(filename, "wb");
    if (gifout != NULL) {
        gdImageGif(im, gifout);
        fclose(gifout);
    }

    /* Destroy the image in memory. */
    gdImageDestroy(im);
    return;

}

int main(int argc, char **argv)
{
    imageStringGif("hahahaha", "test.gif");
}
