#
# CMake Toolchain file for crosscompiling on ARM.
#
# This can be used when running cmake in the following way:
#  cd build/
#  cmake .. -DCMAKE_TOOLCHAIN_FILE=../cross-arm-linux-gnueabihf.cmake
#

set(CROSS_PATH /opt/codesourcery)

# Target operating system name.
set(CMAKE_SYSTEM_NAME Linux)

# Name of C compiler.
set(CMAKE_C_COMPILER "${CROSS_PATH}/bin/arm-linux-gcc")
set(CMAKE_CXX_COMPILER "${CROSS_PATH}/bin/arm-linux-g++")

# Where to look for the target environment. (More paths can be added here)
set(CMAKE_FIND_ROOT_PATH "${CROSS_PATH}" "${CROSS_PATH}/arm-none-linux-gnueabi/libc/usr/lib/")

# Adjust the default behavior of the FIND_XXX() commands:
# search programs in the host environment only.
set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)

# Search headers and libraries in the target environment only.
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)

#编译成功的命令
#cmake .. -DCMAKE_INSTALL_PREFIX:PATH=../install_cross -DCMAKE_TOOLCHAIN_FILE=../cross-arm-linux-gnueabihf.cmake -DZLIB_LIBRARY:FILEPATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr/lib/libz.a" -DZLIB_INCLUDE_DIR:PATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr/include" -DOPENSSL_ROOT_DIR:PATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr" -DOPENSSL_CRYPTO_LIBRARY:FILEPATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr/lib/libcrypto.so"  -DOPENSSL_LIBRARIES:FILEPATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr/lib/libssl.so" -DOPENSSL_SSL_LIBRARY:FILEPATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr/lib/libssl.so" -DOPENSSL_INCLUDE_DIR:PATH="/opt/codesourcery/arm-none-linux-gnueabi/libc/usr/include/openssl"

