export PJDIR := /home/duwei/code/Asterisk16/ShareRK_new/external/pjproject-2.8
include $(PJDIR)/version.mak
export PJ_DIR := $(PJDIR)

# build.mak.  Generated from build.mak.in by configure.
export MACHINE_NAME := auto
export OS_NAME := auto
export HOST_NAME := unix
export CC_NAME := gcc
export TARGET_ARCH := 
export TARGET_NAME := aarch64-unknown-linux-gnu
export CROSS_COMPILE := 
export LINUX_POLL := epoll 
export SHLIB_SUFFIX := so

export prefix := /app/asterisk
export exec_prefix := ${prefix}
export includedir := ${prefix}/include
export libdir := ${exec_prefix}/lib

LIB_SUFFIX := $(TARGET_NAME).a

ifeq (1,1)
export PJ_SHARED_LIBRARIES := 1
endif

ifndef EXCLUDE_APP
ifeq ($(findstring android,$(TARGET_NAME)),)
export EXCLUDE_APP := 0
else
export EXCLUDE_APP := 1
endif
endif

# Determine which party libraries to use
export APP_THIRD_PARTY_EXT :=
export APP_THIRD_PARTY_LIBS :=
export APP_THIRD_PARTY_LIB_FILES :=

ifeq (none,libresample)
APP_THIRD_PARTY_LIB_FILES += $(PJ_DIR)/third_party/lib/libresample-$(LIB_SUFFIX)
ifeq ($(PJ_SHARED_LIBRARIES),)
ifeq (,1)
export PJ_RESAMPLE_DLL := 1
APP_THIRD_PARTY_LIBS += -lresample
APP_THIRD_PARTY_LIB_FILES += $(PJ_DIR)/third_party/lib/libresample.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/third_party/lib/libresample.$(SHLIB_SUFFIX)
else
APP_THIRD_PARTY_LIBS += -lresample-$(TARGET_NAME)
endif
else
APP_THIRD_PARTY_LIBS += -lresample
APP_THIRD_PARTY_LIB_FILES += $(PJ_DIR)/third_party/lib/libresample.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/third_party/lib/libresample.$(SHLIB_SUFFIX)
endif
endif

# Additional flags


#
# Video
# Note: there are duplicated macros in pjmedia/os-auto.mak.in (and that's not
#       good!

# SDL flags
SDL_CFLAGS = 
SDL_LDFLAGS = 

# FFMPEG flags
FFMPEG_CFLAGS =  
FFMPEG_LDFLAGS =  

# Video4Linux2
V4L2_CFLAGS = 
V4L2_LDFLAGS = 

# OPENH264 flags
OPENH264_CFLAGS =  
OPENH264_LDFLAGS =  

# QT
AC_PJMEDIA_VIDEO_HAS_QT = 
# QT_CFLAGS = 

# Darwin (Mac and iOS)
AC_PJMEDIA_VIDEO_HAS_DARWIN = 
AC_PJMEDIA_VIDEO_HAS_VTOOLBOX = 
AC_PJMEDIA_VIDEO_HAS_IOS_OPENGL = 
DARWIN_CFLAGS = 

# Android
ANDROID_CFLAGS = 

# PJMEDIA features exclusion
PJ_VIDEO_CFLAGS += $(SDL_CFLAGS) $(FFMPEG_CFLAGS) $(V4L2_CFLAGS) $(QT_CFLAGS) \
		   $(OPENH264_CFLAGS) $(DARWIN_CFLAGS)
PJ_VIDEO_LDFLAGS += $(SDL_LDFLAGS) $(FFMPEG_LDFLAGS) $(V4L2_LDFLAGS) \
                   $(OPENH264_LDFLAGS)

# CFLAGS, LDFLAGS, and LIBS to be used by applications
export APP_CC := /opt/rk3328/aarch64/aarch64-linux-gnu/../bin/aarch64-linux-gnu-gcc
export APP_CXX := /opt/rk3328/aarch64/aarch64-linux-gnu/../bin/aarch64-linux-gnu-g++
export APP_CFLAGS := -DPJ_AUTOCONF=1\
	         -g -O2         -DLINUX         -DWITH_IPV6         -DWITH_OPENSSL         -DBUILD_ON_ARM         -DUSE_DB_MYSQL         -DWITH_IPV6_V6ONLY         -D_ASTERISK_ASTMM_H         -DDAHDI_FLASHTIME         -DUSE_SPANDSP         -Wno-unused-variable         -Wno-unused-function         -DWITH_NO_IPV6_V6ONLY         -DGRANDSTREAM_NETWORKS         -Wno-implicit-function-declaration         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../libucm         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/dbi         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/json         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../build/ucm630x/install/app/asterisk/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../Python-3.8.3         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/libxml2         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/dbus-1.0         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/lib/dbus-1.0/include -DPJ_IS_BIG_ENDIAN=0 -DPJ_IS_LITTLE_ENDIAN=1 -fPIC\
	$(PJ_VIDEO_CFLAGS) \
	-I$(PJDIR)/pjlib/include\
	-I$(PJDIR)/pjlib-util/include\
	-I$(PJDIR)/pjnath/include\
	-I$(PJDIR)/pjmedia/include\
	-I$(PJDIR)/pjsip/include
export APP_CXXFLAGS :=          -g -O2         -DLINUX         -DWITH_IPV6         -DWITH_OPENSSL         -DBUILD_ON_ARM         -DUSE_DB_MYSQL         -DWITH_IPV6_V6ONLY         -D_ASTERISK_ASTMM_H         -DDAHDI_FLASHTIME         -DUSE_SPANDSP         -Wno-unused-variable         -Wno-unused-function         -DWITH_NO_IPV6_V6ONLY         -DGRANDSTREAM_NETWORKS         -Wno-implicit-function-declaration         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../libucm         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/dbi         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/json         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../build/ucm630x/install/app/asterisk/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../Python-3.8.3         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/libxml2         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/dbus-1.0         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/lib/dbus-1.0/include $(APP_CFLAGS)
export APP_LDFLAGS := -L$(PJDIR)/pjlib/lib\
	-L$(PJDIR)/pjlib-util/lib\
	-L$(PJDIR)/pjnath/lib\
	-L$(PJDIR)/pjmedia/lib\
	-L$(PJDIR)/pjsip/lib\
	-L$(PJDIR)/third_party/lib\
	$(PJ_VIDEO_LDFLAGS) \
	         -L/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/lib         -L/opt/rk3328/aarch64/aarch64-linux-gnu/lib64         -L/opt/rk3328/aarch64/aarch64-linux-gnu/libc/lib         -L/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/lib/dbd         -L/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/lib         -L/home/duwei/code/Asterisk16/Release_RK_new/tools/../build/ucm630x/install/app/asterisk/lib         -Wl,-rpath-link=/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/lib         -Wl,-rpath-link=/opt/rk3328/aarch64/aarch64-linux-gnu/lib64         -Wl,-rpath-link=/opt/rk3328/aarch64/aarch64-linux-gnu/libc/lib         -Wl,-rpath-link=/opt/rk3328/rk64bit/aarch64-buildroot-linux-gnu/sysroot/usr/lib         -Wl,-rpath-link=/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/lib
export APP_LDXXFLAGS := $(APP_LDFLAGS)

export APP_LIB_FILES := \
	$(PJ_DIR)/pjsip/lib/libpjsua-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjsip/lib/libpjsip-ua-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjsip/lib/libpjsip-simple-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjsip/lib/libpjsip-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-codec-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-videodev-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-audiodev-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjnath/lib/libpjnath-$(LIB_SUFFIX) \
	$(PJ_DIR)/pjlib-util/lib/libpjlib-util-$(LIB_SUFFIX) \
	$(APP_THIRD_PARTY_LIB_FILES) \
	$(PJ_DIR)/pjlib/lib/libpj-$(LIB_SUFFIX)
export APP_LIBXX_FILES := \
	$(PJ_DIR)/pjsip/lib/libpjsua2-$(LIB_SUFFIX) \
	$(APP_LIB_FILES)

ifeq ($(PJ_SHARED_LIBRARIES),)
export PJLIB_LDLIB := -lpj-$(TARGET_NAME)
export PJLIB_UTIL_LDLIB := -lpjlib-util-$(TARGET_NAME)
export PJNATH_LDLIB := -lpjnath-$(TARGET_NAME)
export PJMEDIA_AUDIODEV_LDLIB := -lpjmedia-audiodev-$(TARGET_NAME)
export PJMEDIA_VIDEODEV_LDLIB := -lpjmedia-videodev-$(TARGET_NAME)
export PJMEDIA_LDLIB := -lpjmedia-$(TARGET_NAME)
export PJMEDIA_CODEC_LDLIB := -lpjmedia-codec-$(TARGET_NAME)
export PJSIP_LDLIB := -lpjsip-$(TARGET_NAME)
export PJSIP_SIMPLE_LDLIB := -lpjsip-simple-$(TARGET_NAME)
export PJSIP_UA_LDLIB := -lpjsip-ua-$(TARGET_NAME)
export PJSUA_LIB_LDLIB := -lpjsua-$(TARGET_NAME)
export PJSUA2_LIB_LDLIB := -lpjsua2-$(TARGET_NAME)
else
export PJLIB_LDLIB := -lpj
export PJLIB_UTIL_LDLIB := -lpjlib-util
export PJNATH_LDLIB := -lpjnath
export PJMEDIA_AUDIODEV_LDLIB := -lpjmedia-audiodev
export PJMEDIA_VIDEODEV_LDLIB := -lpjmedia-videodev
export PJMEDIA_LDLIB := -lpjmedia
export PJMEDIA_CODEC_LDLIB := -lpjmedia-codec
export PJSIP_LDLIB := -lpjsip
export PJSIP_SIMPLE_LDLIB := -lpjsip-simple
export PJSIP_UA_LDLIB := -lpjsip-ua
export PJSUA_LIB_LDLIB := -lpjsua
export PJSUA2_LIB_LDLIB := -lpjsua2

export ADD_LIB_FILES := $(PJ_DIR)/pjsip/lib/libpjsua.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsua.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjsip/lib/libpjsip-ua.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsip-ua.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjsip/lib/libpjsip-simple.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsip-simple.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjsip/lib/libpjsip.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsip.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-codec.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia-codec.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-videodev.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia-videodev.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjmedia/lib/libpjmedia-audiodev.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia-audiodev.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjnath/lib/libpjnath.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjnath/lib/libpjnath.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjlib-util/lib/libpjlib-util.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjlib-util/lib/libpjlib-util.$(SHLIB_SUFFIX) \
	$(PJ_DIR)/pjlib/lib/libpj.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjlib/lib/libpj.$(SHLIB_SUFFIX)

APP_LIB_FILES += $(ADD_LIB_FILES)

APP_LIBXX_FILES += $(PJ_DIR)/pjsip/lib/libpjsua2.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsua2.$(SHLIB_SUFFIX) \
	$(ADD_LIB_FILES)
endif

export APP_LDLIBS := $(PJSUA_LIB_LDLIB) \
	$(PJSIP_UA_LDLIB) \
	$(PJSIP_SIMPLE_LDLIB) \
	$(PJSIP_LDLIB) \
	$(PJMEDIA_CODEC_LDLIB) \
	$(PJMEDIA_LDLIB) \
	$(PJMEDIA_VIDEODEV_LDLIB) \
	$(PJMEDIA_AUDIODEV_LDLIB) \
	$(PJMEDIA_LDLIB) \
	$(PJNATH_LDLIB) \
	$(PJLIB_UTIL_LDLIB) \
	$(APP_THIRD_PARTY_LIBS)\
	$(APP_THIRD_PARTY_EXT)\
	$(PJLIB_LDLIB) \
	-lssl -lcrypto -luuid -lm -lrt -lpthread 
export APP_LDXXLIBS := $(PJSUA2_LIB_LDLIB) \
	-lstdc++ \
	$(APP_LDLIBS)

# Here are the variabels to use if application is using the library
# from within the source distribution
export PJ_CC := $(APP_CC)
export PJ_CXX := $(APP_CXX)
export PJ_CFLAGS := $(APP_CFLAGS)
export PJ_CXXFLAGS := $(APP_CXXFLAGS)
export PJ_LDFLAGS := $(APP_LDFLAGS)
export PJ_LDXXFLAGS := $(APP_LDXXFLAGS)
export PJ_LDLIBS := $(APP_LDLIBS)
export PJ_LDXXLIBS := $(APP_LDXXLIBS)
export PJ_LIB_FILES := $(APP_LIB_FILES)
export PJ_LIBXX_FILES := $(APP_LIBXX_FILES)

# And here are the variables to use if application is using the
# library from the install location (i.e. --prefix)
export PJ_INSTALL_DIR := /app/asterisk
export PJ_INSTALL_INC_DIR := ${prefix}/include
export PJ_INSTALL_LIB_DIR := ${exec_prefix}/lib
export PJ_INSTALL_CFLAGS := -I$(PJ_INSTALL_INC_DIR) -DPJ_AUTOCONF=1          -g -O2         -DLINUX         -DWITH_IPV6         -DWITH_OPENSSL         -DBUILD_ON_ARM         -DUSE_DB_MYSQL         -DWITH_IPV6_V6ONLY         -D_ASTERISK_ASTMM_H         -DDAHDI_FLASHTIME         -DUSE_SPANDSP         -Wno-unused-variable         -Wno-unused-function         -DWITH_NO_IPV6_V6ONLY         -DGRANDSTREAM_NETWORKS         -Wno-implicit-function-declaration         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../libucm         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/dbi         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/json         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../build/ucm630x/install/app/asterisk/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../Python-3.8.3         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/libxml2         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/dbus-1.0         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/lib/dbus-1.0/include -DPJ_IS_BIG_ENDIAN=0 -DPJ_IS_LITTLE_ENDIAN=1 -fPIC
export PJ_INSTALL_CXXFLAGS :=          -g -O2         -DLINUX         -DWITH_IPV6         -DWITH_OPENSSL         -DBUILD_ON_ARM         -DUSE_DB_MYSQL         -DWITH_IPV6_V6ONLY         -D_ASTERISK_ASTMM_H         -DDAHDI_FLASHTIME         -DUSE_SPANDSP         -Wno-unused-variable         -Wno-unused-function         -DWITH_NO_IPV6_V6ONLY         -DGRANDSTREAM_NETWORKS         -Wno-implicit-function-declaration         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../libucm         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/dbi         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/include/json         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../build/ucm630x/install/app/asterisk/include         -I/home/duwei/code/Asterisk16/Release_RK_new/tools/../../ShareRK_new/external/UCM63XX_RK/../Python-3.8.3         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/libxml2         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/usr/include/dbus-1.0         -I/opt/rk3328/aarch64/aarch64-linux-gnu/libc/lib/dbus-1.0/include $(PJ_INSTALL_CFLAGS)
export PJ_INSTALL_LDFLAGS := -L$(PJ_INSTALL_LIB_DIR) $(APP_LDLIBS)
